import java.util.ArrayList;

public class TextLogik {
    private final Text text;
    private final TextOutput textOutput;

    public TextLogik() {
        text = new Text();
        textOutput = new TextOutput();
        String[] command;

        do {
            command = TextInput.checkForInput();

            switch (command[0]) {
                case "ADD":

                    if (command.length == 1) {
                        text.add(TextInput.getTextInput());
                    } else if (isNumeric(command[1])) {
                        int line = Integer.parseInt(command[1]);

                        text.add(line, TextInput.getTextInput());
                    } else {
                        textOutput.errorInvalidCommand();
                    }

                    break;
                case "DEL":
                    // TODO Hier Delete Funktion hinzufügen.
                    break;
                case "Dummy":
                    text.dummy();
                    break;
                case "EXIT":
                    break;
                case "FORMAT":
                    if (command.length > 1 && "RAW".equals(command[1])) {
                        textOutput.formatRaw();
                    } else if (command.length > 2 && "FIX".equals(command[1]) && isNumeric(command[2])) {
                        textOutput.formatFix(Integer.parseInt(command[2]));
                    } else {
                        textOutput.errorInvalidCommand();
                    }

                    break;
                case "INDEX":
                    ArrayList<String> Index = text.index();
                    break;
                case "PRINT":

                    textOutput.print(text.getText());

                    break;
                case "REPLACE":
                    break;
                default:
                    System.out.println("Command not found. Try again");
                    break;
            }

        } while (!"EXIT".equals(command[0]));
    }

    private boolean isNumeric(String str) {
        return str.matches("\\d+");
    }

}
